Results 1 to 8 of 8
  1. #1
    Join Date
    Aug 2009
    Posts
    33

    Unable to update libxml2

    [[email protected] ~]# rpm -Uvh libxml2-2.7.3-1.x86_64.rpm
    warning: libxml2-2.7.3-1.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID de95bc1f
    error: Failed dependencies:
    libxml2 = 2.6.26 is needed by (installed) libxml2-python-2.6.26-2.1.2.x86_64
    [[email protected] ~]# rmp -Uvh libxml2-python-2.7.3-1.x86_64.rpm
    -bash: rmp: command not found
    [[email protected] ~]# rpm -Uvh libxml2-python-2.7.3-1.x86_64.rpm
    warning: libxml2-python-2.7.3-1.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID de95bc1f
    error: Failed dependencies:
    libxml2 = 2.7.3-1 is needed by libxml2-python-2.7.3-1.x86_64
    python(abi) = 2.5 is needed by libxml2-python-2.7.3-1.x86_64


    [[email protected] ~]# rpm -Uvh libxml2-2.6.29-1.x86_64.rpm
    warning: libxml2-2.6.29-1.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID de95bc1f
    error: Failed dependencies:
    libxml2 = 2.6.26 is needed by (installed) libxml2-python-2.6.26-2.1.2.x86_64
    [[email protected] ~]#

  2. #2
    Join Date
    Jul 2009
    Posts
    178
    yum install libxml2-devel,libxml-devel,libxml2

  3. #3
    Join Date
    Aug 2009
    Posts
    33
    please help with error

    [[email protected] tmp]# yum install libxml2
    There was a problem importing one of the Python modules
    required to run yum. The error leading to this problem was:

    No module named logging

    Please install a package which provides this module, or
    verify that the module is installed correctly.

    It's possible that the above module doesn't match the
    current version of Python, which is:
    2.4.3 (#1, Dec 11 2006, 11:39:03)
    [GCC 4.1.1 20061130 (Red Hat 4.1.1-43)]

    If you cannot solve this problem yourself, please go to
    the yum faq at:
    wiki.linux.duke.edu/YumFaq


    [[email protected] tmp]#

  4. #4
    Join Date
    Jun 2008
    Location
    India
    Posts
    129
    You can check for any packages from yum repository by using the command,


    yum whatprovides package name

  5. #5
    Join Date
    Apr 2009
    Posts
    184
    Try yum clean all
    Then do the install or update
    Offering Reliable Shared, Reseller, Master Reseller and Shoutcast Hosting.
    High Performance VPS Hosting with 99.9% Uptime.
    Providing
    Hosting Since 2006 Locally and Since 2008 Globally.

  6. #6
    Join Date
    Apr 2005
    Location
    Cochin
    Posts
    2,446
    search for the corresponding rpm's in http://rpm.pbone.net/
    Sam
    Supportlobby.com - Expertise in Windows/Linux server support, IaaS and PaaS Management
    Spiralbean.com - Custom Software Development
    Email: exec @ activelobby.net | Skype: unni_active

  7. #7
    Join Date
    Aug 2009
    Posts
    33
    no luck, is yum needs to be configured before use?

    how can i know the package name before i wish to install?

    what is the command if I wish to update any library?

    [[email protected] tmp]# yum whatprovides libxml2
    There was a problem importing one of the Python modules
    required to run yum. The error leading to this problem was:

    No module named logging

    Please install a package which provides this module, or
    verify that the module is installed correctly.

    It's possible that the above module doesn't match the
    current version of Python, which is:
    2.4.3 (#1, Dec 11 2006, 11:39:03)
    [GCC 4.1.1 20061130 (Red Hat 4.1.1-43)]

    If you cannot solve this problem yourself, please go to
    the yum faq at:
    wiki.linux.duke.edu/YumFaq


    [[email protected] tmp]# yum clean all
    There was a problem importing one of the Python modules
    required to run yum. The error leading to this problem was:

    No module named logging

    Please install a package which provides this module, or
    verify that the module is installed correctly.

    It's possible that the above module doesn't match the
    current version of Python, which is:
    2.4.3 (#1, Dec 11 2006, 11:39:03)
    [GCC 4.1.1 20061130 (Red Hat 4.1.1-43)]

    If you cannot solve this problem yourself, please go to
    the yum faq at:
    wiki.linux.duke.edu/YumFaq


    [[email protected] tmp]#

  8. #8
    Join Date
    Apr 2005
    Location
    Cochin
    Posts
    2,446
    did u try downloading the corresponding rpm's ?
    Sam
    Supportlobby.com - Expertise in Windows/Linux server support, IaaS and PaaS Management
    Spiralbean.com - Custom Software Development
    Email: exec @ activelobby.net | Skype: unni_active

Similar Threads

  1. Error: Unable to fetch customers' balances: Unable to connect to Plesk-Billing.
    By kpmedia in forum Hosting Software and Control Panels
    Replies: 0
    Last Post: 05-01-2009, 06:22 AM
  2. [mailconfigupdate] Unable to automatically update the mailer config on SERVER
    By excessnet in forum Hosting Security and Technology
    Replies: 0
    Last Post: 11-25-2008, 10:58 AM
  3. how to downgrade buggy libxml2 on centos 5.2 c/w directadmin?
    By rolysatch in forum Hosting Security and Technology
    Replies: 3
    Last Post: 11-01-2008, 01:35 PM
  4. Updated libxml2 packages fix security vulnerability
    By Doggy in forum Hosting Security and Technology
    Replies: 0
    Last Post: 03-03-2004, 07:14 PM
  5. Unable to update nameserver to .org domain (eNom)
    By trungms in forum Hosting Security and Technology
    Replies: 2
    Last Post: 02-18-2003, 10:02 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •